> ## Documentation Index
> Fetch the complete documentation index at: https://docs.polymorfa.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bridge route

> **Required scope:** `bridge:connect`



## OpenAPI

````yaml api-reference/features/connect.json GET /messaging/bridge/route
openapi: 3.0.3
info:
  title: Connect API methods
  version: 1.0.0
  description: Task-focused connect methods across supported Polymorfa connection types.
servers: []
security: []
paths:
  /messaging/bridge/route:
    get:
      tags:
        - Bridge
      summary: Get bridge route
      description: '**Required scope:** `bridge:connect`'
      operationId: nativeGetBridgeRoute
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  wsUrl:
                    type: string
                    format: uri
                    description: |-
                      URL for the ws.

                      <!-- polymorfa-input-table -->
                      **Value constraints**
                      | Constraint | Accepted input |
                      | --- | --- |
                      | Format | `uri` |
                  region:
                    type: string
                    enum:
                      - BR
                      - US
                      - IN
                      - Auto
                    description: |-
                      Specifies region for this schema.

                      <!-- polymorfa-input-table -->
                      **Allowed values**
                      | Value | Meaning |
                      | --- | --- |
                      | `BR` | Br. |
                      | `US` | Us. |
                      | `IN` | In. |
                      | `Auto` | Auto. |
                  kind:
                    type: string
                    enum:
                      - sandbox
                      - production
                    description: |-
                      Kind discriminator for this object.

                      <!-- polymorfa-input-table -->
                      **Allowed values**
                      | Value | Meaning |
                      | --- | --- |
                      | `sandbox` | Sandbox. |
                      | `production` | Production. |
                  signal:
                    type: string
                    enum:
                      - customer
                      - bartender
                    description: |-
                      Specifies signal for this schema.

                      <!-- polymorfa-input-table -->
                      **Allowed values**
                      | Value | Meaning |
                      | --- | --- |
                      | `customer` | Customer. |
                      | `bartender` | Bartender. |
                  tokenKind:
                    type: string
                    enum:
                      - project
                    description: |-
                      Category assigned to token.

                      <!-- polymorfa-input-table -->
                      **Allowed values**
                      | Value | Meaning |
                      | --- | --- |
                      | `project` | Project. |
                  expiresAt:
                    type: integer
                    minimum: 0
                    description: |-
                      Unix timestamp in milliseconds when this resource expires.

                      <!-- polymorfa-input-table -->
                      **Value constraints**
                      | Constraint | Accepted input |
                      | --- | --- |
                      | Numeric value | `0` or greater |
                required:
                  - wsUrl
                  - region
                  - kind
                  - signal
                  - tokenKind
                  - expiresAt
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/native__PublicError'
              example:
                error:
                  type: authentication_error
                  code: invalid_credential
                  message: Supply a valid credential.
                  param: null
                data: null
                docs: https://docs.polymorfa.com/api/errors#invalid-credential
        '503':
          description: Service unavailable
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/native__PublicError'
              example:
                error:
                  type: api_error
                  code: service_unavailable
                  message: >-
                    A required service is unavailable. Check completion before
                    repeating a write.
                  param: null
                data: null
                docs: https://docs.polymorfa.com/api/errors#service-unavailable
      security:
        - native__BearerAuth: []
      servers:
        - url: https://api.polymorfa.com
components:
  schemas:
    native__PublicError:
      type: object
      properties:
        error:
          type: object
          properties:
            type:
              type: string
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - conflict_error
                - rate_limit_error
                - api_error
                - upstream_error
              description: |-
                Type discriminator for this object.

                <!-- polymorfa-input-table -->
                **Allowed values**
                | Value | Meaning |
                | --- | --- |
                | `invalid_request_error` | Invalid request error. |
                | `authentication_error` | Authentication error. |
                | `permission_error` | Permission error. |
                | `conflict_error` | Conflict error. |
                | `rate_limit_error` | Rate limit error. |
                | `api_error` | Api error. |
                | `upstream_error` | Upstream error. |
            code:
              type: string
              enum:
                - invalid_parameter
                - invalid_credential
                - entitlement_required
                - method_not_allowed
                - permission_denied
                - missing_scope
                - resource_not_found
                - media_fetch_failed
                - resource_gone
                - state_conflict
                - rate_limit_exceeded
                - internal_error
                - operation_not_supported
                - upstream_failure
                - service_unavailable
                - credential_verification_unavailable
                - session_not_ready
                - command_dispatch_failed
                - result_unknown
              description: >-
                Stable machine-readable code for this result.


                <!-- polymorfa-input-table -->

                **Allowed values**

                | Value | Meaning |

                | --- | --- |

                | `invalid_parameter` | Invalid parameter. |

                | `invalid_credential` | Invalid credential. |

                | `entitlement_required` | Entitlement required. |

                | `method_not_allowed` | Method not allowed. |

                | `permission_denied` | Permission denied. |

                | `missing_scope` | Missing scope. |

                | `resource_not_found` | Resource not found. |

                | `media_fetch_failed` | Media fetch failed. |

                | `resource_gone` | Resource gone. |

                | `state_conflict` | State conflict. |

                | `rate_limit_exceeded` | Rate limit exceeded. |

                | `internal_error` | Internal error. |

                | `operation_not_supported` | Operation not supported. |

                | `upstream_failure` | Upstream failure. |

                | `service_unavailable` | Service unavailable. |

                | `credential_verification_unavailable` | Credential
                verification unavailable. |

                | `session_not_ready` | Session not ready. |

                | `command_dispatch_failed` | Command dispatch failed. |

                | `result_unknown` | Result unknown. |
            message:
              type: string
              description: Human-readable message associated with this result.
            param:
              type: string
              nullable: true
              description: |-
                Specifies param for this error.

                <!-- polymorfa-input-table -->
                **Accepted alternatives**
                | Alternative | Accepted input |
                | --- | --- |
                | Alternative 1 | Type: `string` |
                | Alternative 2 | `null` |
          required:
            - type
            - code
            - message
            - param
          description: Error details returned when the operation fails.
        data:
          type: string
          nullable: true
          enum:
            - null
          description: |-
            Always null for a failed request.

            <!-- polymorfa-input-table -->
            **Allowed values**
            | Value | Meaning |
            | --- | --- |
            | `null` | Null. |

            **Accepted alternatives**
            | Alternative | Accepted input |
            | --- | --- |
            | Alternative 1 | Type: `string` |
            | Alternative 2 | `null` |
        docs:
          type: string
          format: uri
          description: |-
            Specifies docs for this native public error.

            <!-- polymorfa-input-table -->
            **Value constraints**
            | Constraint | Accepted input |
            | --- | --- |
            | Format | `uri` |
      required:
        - error
        - data
        - docs
  securitySchemes:
    native__BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Polymorfa organization key (pmfa_ prefix), project token (pmfa_pt_
        prefix) where supported, or short-lived client token (pmfa_ct_ prefix).
        Organization and project keys may be personal or service-account owned
        and enforce selected action scopes. Organization keys cover the team and
        its projects; project tokens stay inside one project. Client tokens stay
        inside their live project and session and enforce their client rules.

````